## dde-file-manager 6.5.99

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(filemanager)

# CMake modules
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Include common DFM configuration
include(DFMCommon)

# Initialize common environment
dfm_init_common()

# Print build information
message(STATUS "=== DDE File Manager Build ===")
message(STATUS "Build mode: ${CMAKE_BUILD_TYPE}")
message(STATUS "Standalone test: ${DFM_STANDALONE_TEST}")
message(STATUS "Project root: ${DFM_PROJECT_ROOT}")
message(STATUS "Source directory: ${DFM_SOURCE_DIR}")
message(STATUS "Include directory: ${DFM_INCLUDE_DIR}")
message(STATUS "CMAKE_CXX_FLAGS: ${CMAKE_CXX_FLAGS}")
message(STATUS "==============================")

# options
option(OPT_DISABLE_QDEBUG "Disable Debug Macro" OFF)
option(OPT_ENABLE_BUILD_DOCS "Build develop documents" OFF)
option(OPT_ENABLE_BUILD_UT "Build unit tests" ON)


include(install_dconfig)
include(install_dbus_service)
include(GNUInstallDirs)
include(DFMInstallDirs)

# Skip build rpath for reproducible release build
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    set(CMAKE_SKIP_BUILD_RPATH TRUE)
endif()

# sub directories
add_subdirectory(src/apps)
add_subdirectory(src/dfm-base)
add_subdirectory(src/dfm-extension)
add_subdirectory(src/dfm-framework)
add_subdirectory(src/plugins)
add_subdirectory(src/external)
add_subdirectory(src/tools)
add_subdirectory(src/services)

# docs
if(OPT_ENABLE_BUILD_DOCS)
    find_package(Doxygen)
    if (DOXYGEN_FOUND)
        add_subdirectory(docs)
    endif()
endif()

# test
if(OPT_ENABLE_BUILD_UT)
    message(STATUS "Enable testing: ${BUILD_TESTING}")
    if(BUILD_TESTING)
        enable_testing()
        add_subdirectory(autotests)
    endif()
endif()

=== autotests/CMakeLists.txt ===
# DDE File Manager Unit Tests
# This CMakeLists.txt supports both standalone and integrated build modes

cmake_minimum_required(VERSION 3.10)

# Set project name
project(ut-file-manager)

# Include common DFM modules
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")
include(DFMCommon)
include(DFMTestUtils)

# Initialize common environment
dfm_init_common()

# Initialize test environment
dfm_init_test_environment()

# Print build mode information
message(STATUS "=== DDE File Manager Unit Tests ===")
message(STATUS "Build mode: ${CMAKE_BUILD_TYPE}")
message(STATUS "Standalone test: ${DFM_STANDALONE_TEST}")
message(STATUS "Project root: ${DFM_PROJECT_ROOT}")
message(STATUS "Source directory: ${DFM_SOURCE_DIR}")
message(STATUS "Include directory: ${DFM_INCLUDE_DIR}")
message(STATUS "===================================")

# Enable testing
enable_testing()

# Add subdirectories
add_subdirectory(libs)
add_subdirectory(plugins)
add_subdirectory(services)

# Optional: add other test directories if they exist
# add_subdirectory(apps)
# add_subdirectory(external)
add_subdirectory(tools)

=== autotests/libs/CMakeLists.txt ===
add_subdirectory(dfm-base)
add_subdirectory(dfm-extension)
add_subdirectory(dfm-framework)

=== autotests/plugins/CMakeLists.txt ===

# Common plugins unit tests
add_subdirectory(dfmplugin-utils)
add_subdirectory(dfmplugin-menu)
add_subdirectory(dfmplugin-propertydialog)
add_subdirectory(dfmplugin-tag)
add_subdirectory(dfmplugin-trashcore)
add_subdirectory(dfmplugin-emblem)
add_subdirectory(dfmplugin-fileoperations)
add_subdirectory(dfmplugin-bookmark)
add_subdirectory(dfmplugin-dirshare)
add_subdirectory(dfmplugin-burn)

# FileManager plugins unit tests
add_subdirectory(dfmplugin-vault)
add_subdirectory(dfmplugin-workspace)
add_subdirectory(dfmplugin-trash)
add_subdirectory(dfmplugin-titlebar)
add_subdirectory(dfmplugin-smbbrowser)
add_subdirectory(dfmplugin-sidebar)
add_subdirectory(dfmplugin-recent)
add_subdirectory(dfmplugin-myshares)
add_subdirectory(dfmplugin-optical)
add_subdirectory(dfmplugin-core)
add_subdirectory(dfmplugin-detailspace)
add_subdirectory(dfmplugin-avfsbrowser)
add_subdirectory(dfmplugin-computer)
add_subdirectory(dfmplugin-search)
if(DFM_TEST_ENABLE_DISKENCRYPT)
    add_subdirectory(dfmplugin-encrypt-manager)
    add_subdirectory(dfmplugin-disk-encrypt-entry)
endif()

# Filedialog plugins unit tests
add_subdirectory(filedialog-core)

# Daemon plugins unit tests
add_subdirectory(dfmdaemon-core)
add_subdirectory(dfmdaemon-filemanager1)
add_subdirectory(dfmdaemon-tag)
add_subdirectory(dfmdaemon-vault)
add_subdirectory(dfmdaemon-recent)

# Desktop plugins unit tests
add_subdirectory(ddplugin-core)
add_subdirectory(ddplugin-canvas)
add_subdirectory(ddplugin-background)
add_subdirectory(ddplugin-organizer)
add_subdirectory(ddplugin-wallpapersetting)

=== autotests/services/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Add all service test subdirectories
add_subdirectory(accesscontrol)
add_subdirectory(sharecontrol)
add_subdirectory(mountcontrol)
add_subdirectory(textindex)
if(DFM_TEST_ENABLE_DISKENCRYPT)
    add_subdirectory(diskencrypt)
endif()

=== autotests/tools/CMakeLists.txt ===
# Tools unit tests
add_subdirectory(upgrade)

=== examples/dfm-extension-example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# 设置项目名称
project(dfm-extension-example)

set(CMAKE_CXX_STANDARD 17)

# 只需要依赖 dfm-extension
find_package(dfm-extension REQUIRED)


# 扩展插件源码
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

# 生成共享库
add_library(${PROJECT_NAME} SHARED ${SRCS})

# 链接 dfm-extension
target_link_libraries(${PROJECT_NAME}
    PUBLIC ${dfm-extension_LIBRARIES}
    )

# 安裝配置
include(GNUInstallDirs)
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

if(NOT DEFINED DFM_EXT_PLUGIN_DIR)
    set(DFM_EXT_PLUGIN_DIR ${LIB_INSTALL_DIR}/dde-file-manager/plugins/extensions)
endif()

# 安裝插件
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${DFM_EXT_PLUGIN_DIR})

=== src/dfm-extension/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
set(CMAKE_AUTOMOC OFF)
set(CMAKE_AUTORCC OFF)
set(CMAKE_AUTOUIC OFF)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm-extension)

file(GLOB_RECURSE INCLUDE_FILES CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

add_library(${BIN_NAME} SHARED
    ${INCLUDE_FILES}
    ${SRCS}
)

# Configure library using unified configuration function
dfm_configure_extension_library(${BIN_NAME})

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

add_library(DFM::extension ALIAS ${BIN_NAME})



# install dev
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/dfm-framework/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm6-framework)
set(OLD_BIN_NAME dfm-framework)

# find source code
file(GLOB_RECURSE INCLUDE_FILES  CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/dfm-framework/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

add_library(${BIN_NAME} SHARED
    ${INCLUDE_FILES}
    ${SRCS}
)

# Configure library using unified configuration function
dfm_configure_framework_library(${BIN_NAME})

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

# 创建 ALIAS 目标，这样其他组件可以使用 DFM6::framework 来引用这个库
add_library(DFM6::framework ALIAS ${BIN_NAME})

# install headers
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${OLD_BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# install lib
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${LIB_INSTALL_DIR})

# install dev
# for pc file config
set(PC_LIBS_PRIVATE Qt6Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/external/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(dde-dock-plugins)
add_subdirectory(dde-shell-plugins)

=== src/plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# add sub dir for business plugins
add_subdirectory(desktop)
add_subdirectory(common)
add_subdirectory(filemanager)
add_subdirectory(filedialog)
add_subdirectory(daemon)

=== src/services/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(accesscontrol)
add_subdirectory(sharecontrol)
add_subdirectory(mountcontrol)
add_subdirectory(textindex)
add_subdirectory(diskencrypt)

# 安全加固
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/deepin-service-group@.service.d DESTINATION /etc/systemd/system/)

=== debian/changelog ===
dde-file-manager (6.5.99) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 24 Oct 2025 10:38:03 +0800

dde-file-manager (6.5.98) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 23 Oct 2025 19:58:38 +0800

dde-file-manager (6.5.97) unstable; urgency=medium

  * fix bugs
  * Implementation of some features

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 16 Oct 2025 20:40:06 +0800

dde-file-manager (6.5.96) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 10 Oct 2025 20:14:00 +0800

dde-file-manager (6.5.95) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 26 Sep 2025 17:59:17 +0800

dde-file-manager (6.5.94) unstable; urgency=medium

  * feat: file grouping
  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 25 Sep 2025 21:32:46 +0800

dde-file-manager (6.5.93) unstable; urgency=medium

 * fix bugs
 * new features 

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 18 Sep 2025 20:40:14 +0800

dde-file-manager (6.5.92) unstable; urgency=medium

  * fix bugs 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 11 Sep 2025 20:50:42 +0800

dde-file-manager (6.5.91) unstable; urgency=medium

 * fix bugs
 * new features

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 04 Sep 2025 21:31:26 +0800

dde-file-manager (6.5.90) unstable; urgency=medium

 * fix bugs
 * new features

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 29 Aug 2025 11:04:16 +0800

dde-file-manager (6.5.89) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 22 Aug 2025 11:10:37 +0800

dde-file-manager (6.5.88) unstable; urgency=medium

  * fix bugs
  * new strategy for file copy
  * new features

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 21 Aug 2025 21:39:30 +0800

dde-file-manager (6.5.87) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 14 Aug 2025 13:57:38 +0800

=== debian/control ===
Source: dde-file-manager
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 cmake,
 doxygen,
 debhelper (>=9),
 pkg-config,
 libffmpegthumbnailer-dev,
 libpolkit-agent-1-dev,
 dde-tray-loader-dev,
 libtag1-dev,
 libdmr-dev,
 libicu-dev,
 libxcb-ewmh-dev,
 libdeepin-pdfium-dev,
 libssl-dev,
 libgtest-dev,
 libgmock-dev,
 liblucene++-dev,
 libdocparser-dev,
 libboost-filesystem-dev,
 libsecret-1-dev,
 libpoppler-cpp-dev,
 libcryptsetup-dev,
 libpcre2-dev,
 libdde-shell-dev (>= 0.0.10),
 deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-svg-dev,
 qt6-multimedia-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 qt6-5compat-dev,
 libdtk6widget-dev,
 libdtk6gui-dev,
 libdtk6core-dev,
 libdtk6core-bin,
 libdtk6declarative-dev,
 libdfm6-io-dev,
 libdfm6-mount-dev,
 libdfm6-burn-dev,
 libdfm6-search-dev,
 libpolkit-qt6-1-dev,
 libxcb-xfixes0-dev (>= 1.10~),
 libopenjp2-7-dev,
 liblcms2-dev,
 libdeepin-service-framework-dev,
 libheif-dev,
 libappimage-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-desktop
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}, 
 libdde-file-manager (=${binary:Version}),
 libqt6sql6-sqlite,
 qt6-translations-l10n,
 libimageeditor6 | hello
Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem, dde-desktop-plugins
Replaces: dde-file-manager-oem, dde-file-manager (<< 6.0.1), dde-desktop-plugins
Recommends: deepin-screensaver
Description: deepin desktop-environment - desktop module
 Deepin Desktop Environment (DDE) - desktop module.

Package: dde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdde-file-manager (=${binary:Version}),
 socat,
 cryfs,
 dde-device-formatter,
 libblockdev-crypto2 | libblockdev-crypto3,
 dde-file-manager-services-plugins (=${binary:Version}),
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-window,
 tpm2-abrmd,
 libtss2-tcti-pcap0,
 libtss2-tcti-tabrmd0,
 libusec-recoverykey | hello
Replaces: dde-file-manager-oem, dde-desktop (<< 6.0.1),
 dde-file-manager-preview,
 dde-file-manager-preview-plugins,
 dde-file-manager-plugins,
 dde-file-manager-daemon-plugins,
 dde-file-manager-common-plugins
Conflicts: dde-file-manager-preview,
 dde-file-manager-preview-plugins,
 dde-file-manager-plugins,
 dde-file-manager-daemon-plugins,
 dde-file-manager-common-plugins
Recommends: avfs, samba, deepin-anything-server
Description: File manager front end
 File manager front-end of Deepin OS

Package: libdde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpoppler-cpp0v5 (>= 0.48.0),
 gvfs-backends (>=1.27.3),
 cryptsetup,
 libdfm-extension (=${binary:Version}),
 dlnfs | hello
Multi-Arch: same
Description: DDE File Manager core librarys
 This package contains the shared libraries.
Replaces: dfmplugin-disk-encrypt
Conflicts: dfmplugin-disk-encrypt

Package: dde-disk-mount-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plugin of dde-dock
 Disk mount plugin of dde-dock which is created by dde-file-manager

Package: libdfm-extension
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension library of dde-file-manager
 Extension library of dde-file-manager which is provided for third parties

Package: dde-file-manager-services-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - deepin-service-manager plugins module
 Deepin Desktop Environment (DDE) - deepin-service-manager plugins module.
 
Package: libdfm-extension-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension (=${binary:Version})
Description: Development package for libdfm-extension
 This package contains the header files and pkgconfig
 of libdfm-extension

Package: dde-file-manager-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-file-manager (=${binary:Version}),
 libdfm6-io-dev, libdfm6-mount-dev, libdfm6-burn-dev
Description: DDE File Manager Devel library
 This package contains the header files and static libraries
 of dde-file-manager

=== examples/dfm-extension-example/debian/control ===
Source: dfm-extension-example
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends: debhelper (>= 11),
               cmake,
               libdfm-extension-dev
Standards-Version: 4.5.1

Package: dfm-extension-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DFM Extension Example
 An example extension plugin for DDE File Manager.
 This package provides a plugin extension example
 for the DDE File Manager.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_OPTIONS=nocheck

SYSTYPE = $(shell cat /usr/lib/deepin/desktop-version | grep Type= | awk -F'=' '{print $$2}')

%:
	dh $@ --parallel

override_dh_shlibdeps:
	dh_shlibdeps -l$(shell pwd)/debian/dde-sharefiles/usr/share/dde-file-manager/sharefiles/lib

override_dh_auto_configure:
	dh_auto_configure -- \
        -DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_BUILD_TYPE=Release \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- -j8

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

=== examples/dfm-extension-example/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=cmake

## dde-file-manager 6.5.106

=== autotests/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 add_subdirectory(dfmdaemon-core)
 add_subdirectory(dfmdaemon-filemanager1)
 add_subdirectory(dfmdaemon-tag)
-add_subdirectory(dfmdaemon-vault)
+# add_subdirectory(dfmdaemon-vault)
 add_subdirectory(dfmdaemon-recent)
 
 # Desktop plugins unit tests

=== autotests/plugins/dfmplugin-dirshare/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Use DFM enhanced test utilities to create plugin test
dfm_create_plugin_test_enhanced("dfmplugin-dirshare" "${DFM_SOURCE_DIR}/plugins/common/dfmplugin-dirshare")

=== src/services/diskencrypt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

set(BIN_NAME "deepin-diskencrypt-service")
project(${BIN_NAME})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Include service configuration
include(${CMAKE_CURRENT_SOURCE_DIR}/dependencies.cmake)

file(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

add_executable(${BIN_NAME}
    ${SRCS}
)

# Apply service configuration using shared dependencies
dfm_setup_diskencrypt_dependencies(${PROJECT_NAME})

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${PROJECT_NAME}.json DESTINATION share/deepin-service-manager/other/)
install(FILES org.deepin.filemanager.diskencrypt.conf DESTINATION share/dbus-1/system.d/)
install(FILES org.deepin.Filemanager.DiskEncrypt.service DESTINATION share/dbus-1/system-services/)
install(FILES ${CMAKE_SOURCE_DIR}/assets/rules/99-dfm-encrypt.rules DESTINATION /etc/udev/rules.d)

set(PolicyDir "${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions")
set(RulesDir "${CMAKE_INSTALL_PREFIX}/share/polkit-1/rules.d")

install(FILES polkit/policy/org.deepin.filemanager.diskencrypt.policy
    DESTINATION ${PolicyDir})

# Install polkit rules (JavaScript format, replaces deprecated .pkla)
install(FILES polkit/rules/99-dde-file-manager-encrypt.rules
    DESTINATION ${RulesDir})

=== src/services/textindex/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(dde-filemanager-textindex)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Include service configuration
include(${CMAKE_CURRENT_SOURCE_DIR}/dependencies.cmake)

set(FULL_TEXT_PATH "${CMAKE_SOURCE_DIR}/3rdparty/fulltext")

FILE(GLOB_RECURSE SRC_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.xml"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.policy"
    "${FULL_TEXT_PATH}/*.cpp"
    "${FULL_TEXT_PATH}/*.h"
    "${CMAKE_SOURCE_DIR}/include/dfm-base/dfm_log_defines.h"
    )

add_library(${PROJECT_NAME}
    SHARED
    ${SRC_FILES}
)

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../../)

# Apply service configuration using shared dependencies
dfm_setup_textindex_dependencies(${PROJECT_NAME} "textindex")

install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
install(FILES ${PROJECT_NAME}.json DESTINATION share/deepin-service-manager/user/)
INSTALL_DBUS_SERVICE(org.deepin.Filemanager.TextIndex)
INSTALL_DCONFIG("org.deepin.dde.file-manager.textindex.json")

# Install systemd drop-in configuration for resource limits
# This prevents OOM issues without modifying the shared service template
install(FILES
    systemd/memory-limit.conf
    DESTINATION
    lib/systemd/user/deepin-service-plugin@org.deepin.Filemanager.TextIndex.service.d/
)

=== src/external/dde-shell-plugins/panel-desktop/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(ds-panel-desktop )

configure_file(
    "${DFM_APP_SOURCE_DIR}/config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

find_package(DDEShell REQUIRED)
find_package(Qt6 COMPONENTS DBus REQUIRED)

FILE(GLOB_RECURSE FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

add_library(ds-panel-desktop SHARED
    ${FILES}
)

target_compile_definitions(${PROJECT_NAME}
 PRIVATE
     DDE_LAUNCHPAD_VERSION=${CMAKE_PROJECT_VERSION}
 )

target_include_directories(${PROJECT_NAME}
    PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}
        ${Qt6Widgets_PRIVATE_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Dde::Shell
    DFM6::base
    DFM6::framework
    Qt6::DBus
)

ds_install_package(PACKAGE org.deepin.ds.desktop TARGET ds-panel-desktop)

# dbus
install(FILES data/com.deepin.dde.desktop.service DESTINATION share/dbus-1/services)

# computer and trash
install(FILES data/applications/dfm-trash.sh DESTINATION bin/)
install(FILES data/applications/dde-computer.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-trash.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-home.desktop DESTINATION share/applications/)

=== debian/changelog ===
dde-file-manager (6.5.106) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Nov 2025 22:37:15 +0800

dde-file-manager (6.5.105) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 13 Nov 2025 19:46:11 +0800

dde-file-manager (6.5.104) unstable; urgency=medium

  * Upgrade compatibility issues

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Nov 2025 15:36:58 +0800

dde-file-manager (6.5.103) unstable; urgency=medium

  * Upgrade compatibility issues

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Nov 2025 13:40:17 +0800

dde-file-manager (6.5.102) unstable; urgency=medium

  * fix bugs
  * security enhancement

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 06 Nov 2025 21:21:57 +0800

dde-file-manager (6.5.101) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 31 Oct 2025 14:49:31 +0800

dde-file-manager (6.5.100) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 31 Oct 2025 09:56:39 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
 Build-Depends:
+ debhelper-compat (= 12),
  cmake,
  doxygen,
- debhelper (>=9),
  pkg-config,
  libffmpegthumbnailer-dev,
  libpolkit-agent-1-dev,
@@ -26,7 +26,6 @@
  libcryptsetup-dev,
  libpcre2-dev,
  libdde-shell-dev (>= 0.0.10),
- deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-svg-dev,
@@ -51,18 +50,18 @@
  libdeepin-service-framework-dev,
  libheif-dev,
  libappimage-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://www.deepin.org
 
 Package: dde-desktop
 Architecture: any
-Depends: 
- ${shlibs:Depends}, 
- ${misc:Depends}, 
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
  libdde-file-manager (=${binary:Version}),
  libqt6sql6-sqlite,
  qt6-translations-l10n,
- libimageeditor6 | hello
+ libimageeditor6
 Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem, dde-desktop-plugins
 Replaces: dde-file-manager-oem, dde-file-manager (<< 6.0.1), dde-desktop-plugins
 Recommends: deepin-screensaver
@@ -74,6 +73,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ pkexec,
+ deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
  libdde-file-manager (=${binary:Version}),
  socat,
  cryfs,
@@ -85,14 +86,17 @@
  qml6-module-qtquick-window,
  tpm2-abrmd,
  libtss2-tcti-pcap0,
- libtss2-tcti-tabrmd0,
- libusec-recoverykey | hello
-Replaces: dde-file-manager-oem, dde-desktop (<< 6.0.1),
+ libtss2-tcti-tabrmd0
+Replaces: dde-file-manager-oem,
+ dde-desktop (<< 6.5.102),
  dde-file-manager-preview,
  dde-file-manager-preview-plugins,
  dde-file-manager-plugins,
  dde-file-manager-daemon-plugins,
- dde-file-manager-common-plugins
+ dde-file-manager-common-plugins,
+ dde-file-manager-services-plugins (<< 6.5.102)
+Breaks: dde-desktop (<< 6.5.102),
+ dde-file-manager-services-plugins (<< 6.5.102)
 Conflicts: dde-file-manager-preview,
  dde-file-manager-preview-plugins,
  dde-file-manager-plugins,
@@ -110,8 +114,8 @@
  libpoppler-cpp0v5 (>= 0.48.0),
  gvfs-backends (>=1.27.3),
  cryptsetup,
- libdfm-extension (=${binary:Version}),
- dlnfs | hello
+ gnome-keyring,
+ libdfm-extension (=${binary:Version})
 Multi-Arch: same
 Description: DDE File Manager core librarys
  This package contains the shared libraries.
@@ -135,7 +139,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: deepin desktop-environment - deepin-service-manager plugins module
  Deepin Desktop Environment (DDE) - deepin-service-manager plugins module.
- 
+
 Package: libdfm-extension-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension (=${binary:Version})
@@ -145,7 +149,7 @@
 
 Package: dde-file-manager-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dde-file-manager (=${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-file-manager (=${binary:Version}),
  libdfm6-io-dev, libdfm6-mount-dev, libdfm6-burn-dev
 Description: DDE File Manager Devel library
  This package contains the header files and static libraries

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,31 @@
 #!/usr/bin/make -f
 
-export QT_SELECT=5
+export QT_SELECT=6
 include /usr/share/dpkg/default.mk
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_BUILD_OPTIONS=nocheck
 
 SYSTYPE = $(shell cat /usr/lib/deepin/desktop-version | grep Type= | awk -F'=' '{print $$2}')
+
+# 检测是否为 Professional 版本
+define detect_edition
+ifneq (,$(shell test -f /etc/os-version && grep -q "EditionName=Professional" /etc/os-version && echo yes))
+    PROFESSIONAL_DEPS=,\\n libusec-recoverykey
+    PROFESSIONAL_DEPS2=,\\n dlnfs
+else
+    PROFESSIONAL_DEPS=
+    PROFESSIONAL_DEPS2=
+endif
+endef
+
+# 调用版本检测
+$(eval $(call detect_edition))
+
+# 生成 control 文件（需要处理换行符）
+$(shell sed -e 's|@PROFESSIONAL_DEPS@|$(PROFESSIONAL_DEPS)|g' \
+            -e 's|@PROFESSIONAL_DEPS2@|$(PROFESSIONAL_DEPS2)|g' \
+            debian/control.in | sed 's|\\n|\n|g' > debian/control)
 
 %:
 	dh $@ --parallel
